/* keys.js
created lun. nov.  7 16:24:49 CET 2011
version lun. févr. 13 06:53:22 CET 2012 : added the 3rd number for the max. number of open windows

List and register some of the keys. Other places :
 * doc/doc.js => out of DOC_GEN.valid_keys for the docs
 * core-js/yasep_opcodes.js : opcodes
*/

key_list=[
//  ["doc/asm", DOC_GEN,      1], // doc/asm.js
//  ["doc/forms",DOC_GEN,     1], // doc/forms.js
//  ["doc/16-32",DOC_GEN,     1], // doc/16-32.js
//  ["doc/flags",DOC_GEN,     1], // doc/forms.js
  ["settings", settings,      1], // gui-js/settings.js
  ["def/asm", DEF_ASM,        1], // defora/gen_asm.js
  ["doc/opcodes",OpcodeTable, 1], // doc/opcode_map.js
  ["welcome",Welcome,         1], // gui-js/welcome.js
  ["test/template",template,  1], // test/template.js
  ["VHDL/config",config,      1], // VHDL/config.js
  ["ASM/asm",asmwin,          1], // ASM/asm.js
  ["save",savefile,           1], // gui-js/savefile.js
  ["bouchot",bouchot,         1], // gui-js/bouchot.js
  ["webring",webring,         1], // gui-js/webring.js
  ["ASM/impASM",impASM,       1], // ASM/importaASM.js
  ["ASM/YASMed",YASMed,      -1], // ASM/YASMed.js  allow multiple windows
  ["GNL/graph",graph,        -1], // GNL/graph.js  allow multiple windows
  ["GNL/palette",palette,     1], // GNL/palette.js
  ["ASM/test_opcodes",test_opcodes, 1] // ASM/test_opcodes.js
];

for (var i in key_list) {
  var j=key_list[i];
  if (j[1])
    winman.register_key(j[0], j[1].start, j[2]);
}
